-- Set Labels and ID
TITAN_ADG_ID = "ArgentDawnGrinder"
TITAN_ADG_MENU_TEXT = "ArgentDawnGrinder"
TITAN_ADG_BUTTON_LABEL =  "ArgentDawnGrinder";
TITAN_ADG_TOOLTIP = "Argent Dawn Grinder v1.3";
TITAN_ADG_ICONPATH = "Interface\\Icons\\INV_Jewelry_Talisman_07"
TITAN_AND_ADG_LOADED = nil;


function TitanPanelArgentDawnGrinderButton_OnLoad()
	TITAN_AND_ADG_LOADED = IsADGLoaded();
	if (TITAN_AND_ADG_LOADED == 2) then		-- Only continue if ArgentDawnGrinder AND Titan Panel are loaded
		this.registry = { 
			id = TITAN_ADG_ID,
			version = 1.3,
			menuText = TITAN_ADG_MENU_TEXT, 
			buttonTextFunction = "TitanPanelArgentDawnGrinderButton_GetButtonText", 
			tooltipTitle = TITAN_ADG_TOOLTIP,
			tooltipTextFunction = "TitanPanelArgentDawnGrinderButton_GetTooltipText", 
			icon = TITAN_ADG_ICONPATH,
			iconWidth = 16,
			frequency = 0.1,
			category = "Information",
			savedVariables = {
				ShowIcon = 1,
				ShowLabelText = 1
			}
		};
	elseif (TITAN_AND_ADG_LOADED == 1) then
		function TitanPanelButton_OnLoad() end  --TitanPanelButton_OnLoad not defined if Titan not loaded.
	end
end


function TitanPanelArgentDawnGrinderButton_OnClick(button)
	if (TITAN_AND_ADG_LOADED == 2) then
		if (button == "LeftButton") then
			local frame = getglobal("ArgentDawnGrinderSettingsFrame")
			if (frame) then
			if(frame:IsVisible()) then
			   frame:Hide();
			else
			   frame:Show();
			   ARGENT_DAWN_GRINDER_NEED_UPDATE = true;
			end
			end
		end
	end
end


function TitanPanelArgentDawnGrinderButton_GetButtonText(id)
	if (TITAN_AND_ADG_LOADED == 2) then
		local button, id = TitanUtils_GetButton(id, true);
		local retstr = "";

		-- supports turning off labels
		if (TitanGetVar(TITAN_ADG_ID, "ShowLabelText")) then
			
		end
		return retstr
	end
end


-- Get Tooltip Text
-- NB: You can use XML to format the text in the str, eg:
-- \n = New Line
-- \t = Tab space
-- Others may work but I have not tested them yet.

function TitanPanelArgentDawnGrinderButton_GetTooltipText()
	return "Toggle Settings Screen\tLeft-Click"
end


----------------------------------------------------------------------

function TitanADGPrintD(msg)
	DEFAULT_CHAT_FRAME:AddMessage(msg,0.50,0.50,1.00);
end

function IsADGLoaded()	-- Renamed from GetStatus() to prevent possible conflicts with Titan Mod Support Project Core Functions

	local name, title, notes, enabled, loadable, reason, security = GetAddOnInfo("ArgentDawnGrinder")
	local _, _, _, titanEnabled, _, _, _ = GetAddOnInfo("Titan")

	if not titanEnabled then	-- If Titan is not running
		if not (enabled == 1) then						-- If ArgentDawnGrinder is not running
			return 0;							-- Return 0
		else
			return 1;							-- and return 1
		end

	elseif (enabled == 1) then							-- Otherwise Titan is running, so check ArgentDawnGrinder
		return 2;								-- return 2
	else										-- otherwise Titan is running but ArgentDawnGrinder is not
		return 3;								-- and return 3
	end
end
